Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1370570 - C&U - WEB UI crashes when moving from calendar to daily/hourly selection
Summary: C&U - WEB UI crashes when moving from calendar to daily/hourly selection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.3
Assignee: Yaacov Zamir
QA Contact: Einat Pacifici
URL:
Whiteboard: container:c&u
Depends On: 1366233
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-26 15:42 UTC by Satoe Imaishi
Modified: 2016-11-30 19:53 UTC (History)
9 users (show)

Fixed In Version: 5.6.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1366233
Environment:
Last Closed: 2016-11-30 19:53:09 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2839 normal SHIPPED_LIVE Important: CFME 5.6.3 security, bug fix, and enhancement update 2016-12-01 00:51:49 UTC

Comment 2 Federico Simoncelli 2016-08-29 13:54:22 UTC
Yaacov, should this be moved to POST?

Comment 3 Yaacov Zamir 2016-08-29 14:27:44 UTC
Backported:
https://github.com/ManageIQ/manageiq/pull/10458

Comment 9 Nandini Chandra 2016-09-20 16:38:53 UTC
Assigning the BZ to  Einat for verification.

Comment 10 Einat Pacifici 2016-09-25 06:45:37 UTC
Assigned. This still occurs in 5.6.2. 
Same steps to reproduce.

Comment 13 CFME Bot 2016-10-07 21:21:15 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/3959bbc655f180d29e89954a490cbe63309ffbd1

commit 3959bbc655f180d29e89954a490cbe63309ffbd1
Author:     yaacov <kobi.zamir@gmail.com>
AuthorDate: Sun Sep 25 18:29:58 2016 +0300
Commit:     yaacov <kobi.zamir@gmail.com>
CommitDate: Tue Sep 27 16:23:16 2016 +0300

    C&U - WEB UI crashes when moving from calendar to daily/hourly selection
    It is posible to send an empty string as a date from the UI, we currently only protect against nil date
    but not against an empty string. In this PR we add a check for empty string date.
    
    PR #10458 did not reset the date in cases where the date was empty, it only protected the sanity checks.
    This PR also reset the date in cases where the date string is mepty.
    
    Bugzilla
    https://bugzilla.redhat.com/show_bug.cgi?id=1370570

 .../application_controller/performance.rb          |  4 +-
 .../application_controller/performance_spec.rb     | 50 ++++++++++++++++++++++
 2 files changed, 52 insertions(+), 2 deletions(-)

Comment 14 Yaacov Zamir 2016-10-10 04:23:29 UTC
Merged upstream:
https://github.com/ManageIQ/manageiq/pull/11506

Comment 15 Einat Pacifici 2016-11-15 09:19:04 UTC
Verified. UI no longer crashes.

Comment 17 errata-xmlrpc 2016-11-30 19:53:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2839.html


Note You need to log in before you can comment on or make changes to this bug.